<?php

defined ('_JEXEC') or die('resticted aceess');

use Joomla\CMS\Language\Text;

SpAddonsConfig::addonConfig(
	[
		'type' => 'content',
		'addon_name' => 'sp_eventum_schedules',
		'category' => 'Eventum',
		'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES'),
		'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_DESC'),
		'settings' => [
			'general' => [
				'title' => Text::_('COM_SPPAGEBUILDER_ADDON_ADMIN_LABEL'),
				'fields' => [
					'schedule_count'=> [
						'type' => 'number',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_COUNT'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_COUNT_DESC'),
						'std' => '10'
					],
					'session_count'=> [
						'type' => 'number',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_SESSION_COUNT'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_SESSION_COUNT_DESC'),
						'std' => '6'
					],
					'schedule_layout'=> [
						'type' => 'select',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_LAYOUT'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_LAYOUT_DESC'),
						'values' => [
							'grid' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_LAYOUT_GRID'),
							'list' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_LAYOUT_LIST'),
							'horizontal_list' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_LAYOUT_HORIZONTAL_LIST'),
							'vertical_list' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_LAYOUT_VERTICAL_LIST')
						],
						'std'=>'list',
					],
					'column' => [
						'type' => 'number',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_COLUMN'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SCHEDULES_COLUMN_DESC'),
						'std' => '4'
					],
					'class' => [
						'type' => 'text',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_CLASS'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_CLASS_DESC'),
						'std' => ''
					]
				]
			]	
		]
	]
);
