-- v2.0.0
-- Schedules Table --
ALTER TABLE `#__speventum_schedules` CHANGE `speventum_schedule_id` `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__speventum_schedules` CHANGE `slug` `alias` VARCHAR(55) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE `#__speventum_schedules` CHANGE `enabled` `published` tinyint NOT NULL DEFAULT '1';
ALTER TABLE `#__speventum_schedules` CHANGE `created_on` `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `#__speventum_schedules` CHANGE `modified_on` `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `#__speventum_schedules` CHANGE `locked_by` `checked_out` bigint NOT NULL DEFAULT '0';
ALTER TABLE `#__speventum_schedules` CHANGE `locked_on` `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';

-- Speakers Table --
ALTER TABLE `#__speventum_speakers` CHANGE `speventum_speaker_id` `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__speventum_speakers` CHANGE `slug` `alias` VARCHAR(55) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;
ALTER TABLE `#__speventum_speakers` CHANGE `video` `video` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NULL;
ALTER TABLE `#__speventum_speakers` CHANGE `enabled` `published` tinyint NOT NULL DEFAULT '1';
ALTER TABLE `#__speventum_speakers` CHANGE `created_on` `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `#__speventum_speakers` CHANGE `modified_on` `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `#__speventum_speakers` CHANGE `locked_by` `checked_out` bigint NOT NULL DEFAULT '0';
ALTER TABLE `#__speventum_speakers` CHANGE `locked_on` `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';

-- Sessions Table --
ALTER TABLE `#__speventum_sessions` CHANGE `speventum_session_id` `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `#__speventum_sessions` CHANGE `enabled` `published` tinyint NOT NULL DEFAULT '1';
ALTER TABLE `#__speventum_sessions` CHANGE `created_on` `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `#__speventum_sessions` CHANGE `modified_on` `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `#__speventum_sessions` CHANGE `locked_by` `checked_out` bigint NOT NULL DEFAULT '0';
ALTER TABLE `#__speventum_sessions` CHANGE `locked_on` `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00';
