<?php
/**
 * @package     SP Eventum
 *
 * @copyright   Copyright (C) 2010 - 2015 JoomShaper. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die();

class SpeventumViewSchedules extends FOFViewForm
{
	public function display($tpl = null)
	{

		jimport('joomla.application.component.helper');
		$this->cParams 			= JComponentHelper::getParams('com_speventum');
		$model 					= $this->getModel();
		$this->items 			= $model->getItemList();

		foreach ($this->items as $key => $this->item) {
			$sessions = $model->getSessions($this->item->speventum_schedule_id);
			$this->item->sessions = $sessions;
			
			if(!empty($this->item->sessions)) {
				foreach ($this->item->sessions as $session) {
					$session->speakers = $model->getSpeakers($session->speakers);
				}
			}
		}
		
		return parent::display($tpl);
	}
}