<?php

defined ('_JEXEC') or die('resticted aceess');

use Joomla\CMS\Language\Text;

SpAddonsConfig::addonConfig(
	[
		'type' => 'content',
		'addon_name' => 'sp_eventum_speakers',
		'category' => 'Eventum',
		'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS'),
		'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_DESC'),
		'settings' => [
			'general' => [
				'title' => Text::_('COM_SPPAGEBUILDER_ADDON_ADMIN_LABEL'),
				'fields' => [
					'speaker_type' => [
						'type' => 'select',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_TYPE'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_TYPE_DESC'),
						'values' => [
							'1' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_TYPE_ALL'),
							'2' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_TYPE_KEYNOTE'),
							'3' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_TYPE_NOT_KEYNOTE')
						],
						'std' => '1',
					],
	
					'count' => [
						'type' => 'number',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_COUNT'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_COUNT_DESC'),
						'std' => '8'
					],
	
					'column' => [
						'type' => 'number',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_COLUMN'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SPEAKERS_COLUMN_DESC'),
						'std' => '4'
					],
	
					'class' => [
						'type' => 'text',
						'title' => Text::_('COM_SPPAGEBUILDER_ADDON_CLASS'),
						'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_CLASS_DESC'),
						'std' =>  ''
					]
				]
			]
		]
	]
);
