<?php

defined('_JEXEC') or die('resticted aceess');
use Joomla\CMS\Language\Text;

SpAddonsConfig::addonConfig(
    [
        'type' => 'content',
        'addon_name' => 'sp_latest_post',
        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_LATEST_POSTS'),
        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_LATEST_POSTS_DESC'),
        'category' => 'Eventum',
        'settings' => [
            'general' => [
                'title' => Text::_('COM_SPPAGEBUILDER_ADDON_ADMIN_LABEL'),
                'fields' => [
                    'title' => array(
                        'type' => 'text',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_DESC'),
                        'std' => '',
                    ),
                    'heading_selector' => array(
                        'type' => 'select',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_DESC'),
                        'values' => array(
                            'h1' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_H1'),
                            'h2' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_H2'),
                            'h3' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_H3'),
                            'h4' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_H4'),
                            'h5' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_H5'),
                            'h6' => Text::_('COM_SPPAGEBUILDER_ADDON_HEADINGS_H6'),
                        ),
                        'std' => 'h3',
                    ),
                    'title_fontsize' => array(
                        'type' => 'number',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_FONT_SIZE'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_FONT_SIZE_DESC'),
                        'std' => '',
                    ),
                    'title_text_color' => array(
                        'type' => 'color',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_TEXT_COLOR'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_TEXT_COLOR_DESC'),
                    ),
                    'title_margin_top' => array(
                        'type' => 'number',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_MARGIN_TOP'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_MARGIN_TOP_DESC'),
                        'placeholder' => '10',
                    ),
                    'title_margin_bottom' => array(
                        'type' => 'number',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_MARGIN_BOTTOM'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_TITLE_MARGIN_BOTTOM_DESC'),
                        'placeholder' => '10',
                    ),
                    'count' => array(
                        'type' => 'number',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_LATEST_POSTS_LIMIT'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_LATEST_POSTS_LIMIT_DESC'),
                        'std' => '5',
                    ),
                    'intro_text_limit' => array(
                        'type' => 'number',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_SF_INTROTEXT_LIMIT'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_SF_INTROTEXT_LIMIT_DESC'),
                        'std' => '100',
                    ),
                    'category' => array(
                        'type' => 'category',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_LATEST_POSTS_SELECT_CATEGORY'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_LATEST_POSTS_SELECT_CATEGORY_DESC'),
                        'std' => '',
                    ),
                    'ordering' => array(
                        'type' => 'select',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_ARTICLES_ORDERING'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_ARTICLES_ORDERING_DESC'),
                        'values' => array(
                            'latest' => Text::_('COM_SPPAGEBUILDER_ADDON_ARTICLES_ORDERING_LATEST'),
                            'oldest' => Text::_('COM_SPPAGEBUILDER_ADDON_ARTICLES_ORDERING_OLDEST'),
                            'hits' => Text::_('COM_SPPAGEBUILDER_ADDON_ARTICLES_ORDERING_POPULAR'),
                            'featured' => Text::_('COM_SPPAGEBUILDER_ADDON_ARTICLES_ORDERING_FEATURED'),
                        ),
                        'std' => 'latest',
                    ),
                    'post_type' => array(
                        'type' => 'select',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_DESC'),
                        'values' => array(
                            '' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_ALL'),
                            'standard' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_STANDARD'),
                            'audio' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_AUDIO'),
                            'video' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_VIDEO'),
                            'gallery' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_GALLERY'),
                            'link' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_LINK'),
                            'quote' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_QUOTE'),
                            'status' => Text::_('COM_SPPAGEBUILDER_ADDON_POST_TYPE_STATUS'),
                        ),
                        'std' => 'h3',
                    ),
                    'class' => array(
                        'type' => 'text',
                        'title' => Text::_('COM_SPPAGEBUILDER_ADDON_CLASS'),
                        'desc' => Text::_('COM_SPPAGEBUILDER_ADDON_CLASS_DESC'),
                        'std' => '',
                    ),
                ]
            ],
        ],
    ]
);
